Subject: Re: [PATCH v3] push: add recurseSubmodules config option

From: Mike Crowe <[email-masked]>
Date: Wed, 2 Dec 2015 09:54:51 +0000

On Tuesday 01 December 2015 at 19:40:32 -0500, Jeff King wrote:
> On Tue, Dec 01, 2015 at 11:49:43AM +0000, Mike Crowe wrote:
> 
> > The --recurse-submodules command line parameter has existed for some
> > time but it has no config file equivalent.
> > 
> > Following the style of the corresponding parameter for git fetch,
> > invent push.recurseSubmodules to provide a default for this parameter.
> > This also requires the addition of --recurse-submodules=no to allow
> > the configuration to be overridden on the command line when required.
> > 
> > The most straightforward way to implement this appears to be to make
> > push use code in submodule-config in a similar way to fetch.
> > 
> > Signed-off-by: Mike Crowe <[email-masked]>
> > ---
> > Changes in v3:
> 
> Hrm, I merged v2 of this to 'next' last week.

Thanks! Sorry I didn't spot that.

> The options at this point are either to revert that and re-start the
> topic, or just make the further changes a patch on top. Thoughts?

I don't mind which you choose to do. I'll reply to this message with the
incremental patch in case you decide you need it. Please let me know if
you'd like me to split it further since the patch modifies a test that is
otherwise unrelated to the rest of the change.

Mike.